- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage users
- /
- Get all resources authorized by the user
¶ Get all resources authorized by the user
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.
Get all resources authorized by the user through the user ID. You can choose to specify the user ID type, etc. The resources authorized by the user are Yes The collection of the user himself, inherited by the group, inherited by the role, and inherited by the organization.
¶ Method Name
ManagementClient.getUserAuthorizedResources
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| userId | string | Yes | - | The unique identifier of the user. It can be Yes user ID, user name, email address, mobile phone number, externalId, or ID in the external identity source. For details, see the description of the userIdType field. The default value is user id. | 6229ffaxxxxxxxxcade3e3d9 |
| userIdType | string | No | user_id | User id type, the default value is user_id, the optional values are:- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7- phone: user phone number- email: user email- username: username- external_id: user ID in the external system, corresponding to the externalId field of GenAuth user information- identity: user's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.Example Value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the type of sync identity source, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.Example Value: lark:ou_8bae746eac07cd2564654140d2a9ac61. | user_id |
| namespace | string | No | - | The code of the permission group (permission space). If it is not passed, the default permission group will be obtained. | default |
| resourceType | string | No | - | Resource Type, such as data, API, menu, button |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.AuthorizedResourcePaginatedRespDto;
import cn.authing.sdk.java.dto.GetUserAuthorizedResourcesDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetUserAuthorizedResourcesTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
GetUserAuthorizedResourcesDto reqDto = new GetUserAuthorizedResourcesDto();
reqDto.setUserId("6229ffaxxxxxxxxcade3e3d9");
AuthorizedResourcePaginatedRespDto response = client.getUserAuthorizedResources(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: AuthorizedResourcePaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | AuthorizedResourcePagingDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"resourceCode": "ecs:1",
"description": "Server",
"condition": {
"param": "AppId",
"operator": "StringEquals",
"value": "1"
},
"resourceType": "API",
"apiIdentifier": "/api/v1/example",
"actions": "[\"ecs:Start\",\"ecs:Stop\"]",
"effect": "ALLOW"
}
}
}
¶ Data Structure
¶ AuthorizedResourcePagingDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| totalCount | number | Yes | Total number of records | |
| list | array | Yes | Response data nested type:AuthorizedResourceDto。 |
¶ AuthorizedResourceDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| resourceCode | string | Yes | Resource Descriptor | ecs:1 |
| description | string | No | Resource description information | Server |
| condition | array | No | Strategy Condition Nested Type:PolicyCondition。 | |
| resourceType | string | Yes | Resource Type | DATA |
| apiIdentifier | string | Yes | API URL | /api/v1/example |
| actions | array | Yes | List of authorized operations | ["ecs:Start","ecs:Stop"] |
| effect | string | Yes | Allow or Yes Reject | ALLOW |
¶ PolicyCondition
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| param | string | Yes | Condition Param | UserPoolId |
| operator | string | Yes | Condition Operator | Bool |
| value | string | Yes | Condition Value | 1 |
